Next: ANY, Previous: AND, Up: Intrinsic Procedures [Contents][Index]

### 9.17 `ANINT` — Nearest whole number

Description:

  `ANINT(A [, KIND])` rounds its argument to the nearest whole number.

Standard:

  Fortran 77 and later

Class:

  Elemental function

Syntax:

  `RESULT = ANINT(A [, KIND])`

Arguments:

  A | The type of the argument shall be `REAL`.
  KIND | (Optional) An `INTEGER` initialization expression indicating the kind parameter of the result.

Return value:

  The return value is of type real with the kind type parameter of the argument if the optional KIND is absent; otherwise, the kind type parameter will be given by KIND. If A is greater than zero, `ANINT(A)` returns `AINT(X+0.5)`. If A is less than or equal to zero then it returns `AINT(X-0.5)`.

Example:

      program test_anint
        real(4) x4
        real(8) x8
        x4 = 1.234E0_4
        x8 = 4.321_8
        print *, anint(x4), dnint(x8)
        x8 = anint(x4,8)
      end program test_anint

Specific names:

  Name | Argument | Return type | Standard
  `AINT(A)` | `REAL(4) A` | `REAL(4)` | Fortran 77 and later
  `DNINT(A)` | `REAL(8) A` | `REAL(8)` | Fortran 77 and later